Subject: How is the ISOC funded ?

From: Jim Fleming <[email-masked]>
Date: Mon, 2 Mar 1998 09:01:59 -0600

On Monday, March 02, 1998 7:00 AM, Brian E Carpenter[SMTP:[email-masked]] wrote:
@Michael A Quinlan wrote:
@... 
@> How is the IETF/IESG/IAB/ISOC funded now? I know the ISOC gets corporate and
@> individual membership fees, but that doesn't seem like very much.
@
<snip>
@
@The ISOC is funded by membership fees, as you say.
@That is far from negligible since the rates go up to
@Sustaining Gold membership at $50k/year.
@

I believe that the ISOC also accepts donations from individuals. ;-)

@@@@ http://www.isoc.org/isoc/general/trustees/mtg11.html

9.2 1997 Financial Report
...
 "The Board noted with gratitude a donation of USD 25,000 received from John Gilmore."

@@@@@@@@@@@

For those not following the Registry Industry evolution, John Gilmore
is also one of the supporters of the IAHC/CORE proposal and has helped
start a company in Australia as a CORE registry. He is probably most
famous for his EFF work as well as the fact that he was one of the early
employees of Sun Microsystems. He has recently been "elected" to the
ISOC board. John also apparently has (or had) financial ties to some of
the companies helping to implement the CORE infrastructure in California.
This type of financial backing is important to keep organizations like the
ISOC solvent. It apparently also helps to provide direction to the management
of the ISOC and the other I* organizations.

-
Jim Fleming
Unir Corporation
IBC, Tortola, BVI